curl --request POST \
--url 'https://api.adside.ai/meta/mcp#update_ad_creative' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "<string>",
"method": "<string>",
"params": {
"name": "<string>",
"arguments": {
"creative_id": "<string>",
"name": "<string>",
"title": "<string>",
"body": "<string>",
"url_tags": "<string>"
}
},
"id": "1"
}
'{
"jsonrpc": "<string>",
"id": "<string>",
"result": {
"content": [
{
"type": "<string>",
"text": "<string>"
}
]
}
}Update an existing ad creative’s name, title, body text, or URL tags.
curl --request POST \
--url 'https://api.adside.ai/meta/mcp#update_ad_creative' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "<string>",
"method": "<string>",
"params": {
"name": "<string>",
"arguments": {
"creative_id": "<string>",
"name": "<string>",
"title": "<string>",
"body": "<string>",
"url_tags": "<string>"
}
},
"id": "1"
}
'{
"jsonrpc": "<string>",
"id": "<string>",
"result": {
"content": [
{
"type": "<string>",
"text": "<string>"
}
]
}
}API key (sk_live_*) — SHA256 hashed, looked up in Redis. Generate via the web app's workspace settings.